Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06037 Graphics Minor N/A Oct 9, 2015, 22:32 Oct 12, 2015, 17:28
Tester kazblox View Status Public Platform
Assigned To Resolution Bugs That Aren't Bugs OS
Status [?] Resolved Driver angelkds.cpp
Version 0.166 Fixed in Version Build
Summary 06037: angelkds and clones: Bugged scrolling
Description In angelkds, the top part of the screen should not move when the main player goes very fast. A similar but conditionally different issue happens if you move the rope holders down. This is apparently intended as there is a seperate screen reserved for the main angel kid.
Steps To Reproduce
Additional Information
Flags Verified with Original, Noted in Source
Regression Version
Affected Sets / Systems angelkds and clones
Attached Files
png file icon Screenshot_2015-10-09_14-23-48.png (457,513 bytes) Oct 9, 2015, 22:32 Uploaded by kazblox
png file icon 2.png (110,682 bytes) Oct 9, 2015, 22:38 Uploaded by kazblox
There are no relationsihp linked to this issue.
User avatar
Oct 10, 2015, 01:26
Do we have any proof that it should behave the way you are suggesting and the current way is not correct? A far as I am aware, the screen has always scrolled at just about that half way point vertically in the instance that the trajectory of the girl being propelled and/or the movement of the angel kids would move one or the other off screen. The same stuff is done with video pinball games (example NES Pinbot) where they might offer a full table so they only keep the flippers and the area surrounding them on screen and scroll the rest of the playfield.

Perhaps I am misunderstanding your report?
User avatar
Oct 10, 2015, 04:49
edited on: Oct 10, 2015, 04:52
From the notes in angelkds.c, line 189
 update, it is correct, the screen is meant to split in two when
 the kid goes what would be offscreen, just looked kinda odd

Apparently this is a BTANB I guess.
Tafoid: you can go ahead and declassify this bug now.